---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: doris-nfs-sc-56
provisioner: doris-nfs-sc-56
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: doris-nfs-sc-56
  labels:
    app: doris-nfs-sc-56
  # replace with namespace where provisioner is deployed
  namespace: kube-system  #与RBAC文件中的namespace保持一致
spec:
  replicas: 1
  selector:
    matchLabels:
      app: doris-nfs-sc-56
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: doris-nfs-sc-56
    spec:
      imagePullSecrets:
        - name: harborsecret
      serviceAccountName: nfs-client-provisioner
      containers:
        - name: doris-nfs-sc-56
          image: 172.16.100.55:8033/cmii/nfs-subdir-external-provisioner:v4.0.2
          volumeMounts:
            - name: nfs-client-root
              mountPath: /persistentvolumes
          env:
            - name: PROVISIONER_NAME
              value: doris-nfs-sc-56
            - name: NFS_SERVER
              value: 172.16.100.56
            - name: NFS_PATH
              value: /var/lib/docker/nfs_data
      volumes:
        - name: nfs-client-root
          nfs:
            server: 172.16.100.56
            path: /var/lib/docker/nfs_data
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: doris-nfs-sc-57
provisioner: doris-nfs-sc-57
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: doris-nfs-sc-57
  labels:
    app: doris-nfs-sc-57
  # replace with namespace where provisioner is deployed
  namespace: kube-system  #与RBAC文件中的namespace保持一致
spec:
  replicas: 1
  selector:
    matchLabels:
      app: doris-nfs-sc-57
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: doris-nfs-sc-57
    spec:
      imagePullSecrets:
        - name: harborsecret
      serviceAccountName: nfs-client-provisioner
      containers:
        - name: doris-nfs-sc-57
          image: 172.16.100.55:8033/cmii/nfs-subdir-external-provisioner:v4.0.2
          volumeMounts:
            - name: nfs-client-root
              mountPath: /persistentvolumes
          env:
            - name: PROVISIONER_NAME
              value: doris-nfs-sc-57
            - name: NFS_SERVER
              value: 172.16.100.57
            - name: NFS_PATH
              value: /var/lib/docker/nfs_data
      volumes:
        - name: nfs-client-root
          nfs:
            server: 172.16.100.57
            path: /var/lib/docker/nfs_data
---
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  name: doris-nfs-sc-58
provisioner: doris-nfs-sc-58
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: doris-nfs-sc-58
  labels:
    app: doris-nfs-sc-58
  # replace with namespace where provisioner is deployed
  namespace: kube-system  #与RBAC文件中的namespace保持一致
spec:
  replicas: 1
  selector:
    matchLabels:
      app: doris-nfs-sc-58
  strategy:
    type: Recreate
  template:
    metadata:
      labels:
        app: doris-nfs-sc-58
    spec:
      imagePullSecrets:
        - name: harborsecret
      serviceAccountName: nfs-client-provisioner
      containers:
        - name: doris-nfs-sc-58
          image: 172.16.100.55:8033/cmii/nfs-subdir-external-provisioner:v4.0.2
          volumeMounts:
            - name: nfs-client-root
              mountPath: /persistentvolumes
          env:
            - name: PROVISIONER_NAME
              value: doris-nfs-sc-58
            - name: NFS_SERVER
              value: 172.16.100.58
            - name: NFS_PATH
              value: /var/lib/docker/nfs_data
      volumes:
        - name: nfs-client-root
          nfs:
            server: 172.16.100.58
            path: /var/lib/docker/nfs_data
---
